Get your team (beta)
GET
/api/v3/teams
const url = 'https://api.tryletterhead.com/api/v3/teams?api=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.tryletterhead.com/api/v3/teams?api=true' \ --header 'Authorization: Bearer <token>'Lookup your team with this endpoint, which as a v3 route requires a company-level API key. Note that as a beta, the shape of the API response might change.
Authorizations
Section titled βAuthorizations βParameters
Section titled β Parameters βQuery Parameters
Section titled βQuery Parameters β api
required
boolean
When set to true, this endpoint will accept authorization with your API Key.
Responses
Section titled β Responses βGet team
Media type application/json
object
items
Array<object>
object
email
string
name
string
permissions
Array<object>
object
channelSlug
string
channelTitle
string
platformUserUniqueId
string
authZeroUuid
string
roleName
string
created_at
string
updated_at
string
picture
string
platformUserUniqueId
string
surname
string
companyUuid
integer
message
string
total
integer
Example
{ "items": [ { "name": "Michael", "permissions": [ { "channelSlug": "", "channelTitle": "", "platformUserUniqueId": "abcdefhi", "authZeroUuid": "auth0|abcdefhi", "roleName": "Tenant administrator", "created_at": "2023-12-07 07:55:29", "updated_at": "2026-02-11 14:55:26" } ], "picture": "", "platformUserUniqueId": "abcdefhi", "surname": "Su", "companyUuid": 0 } ], "message": "", "total": 1}Still can’t find what you need? Contact support.